import java.awt.event.ActionEvent;

public class ParseBAL implements java.awt.event.ActionListener
{
  XPathApplet _myApplet;

  public ParseBAL(XPathApplet applet)
  {
    _myApplet = applet;
  }
 
	public void actionPerformed(ActionEvent e) {
         _myApplet.button1_action(e);
  }
}
